<?php

declare(strict_types=1);

namespace App\Entity\Place;

use ApiPlatform\Metadata\ApiResource;
use App\Entity\Core\AbstractControl;
// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @todo : A la suite de la migration, il faut supprimer le nom de la table pour avoir une table PlaceControl, et supprimer l'attribut discr.
 * @todo : migration table tag_control
 *
 * Contrôle du bon état des lieux et bâtiments (Place)
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class PlaceControl extends AbstractControl
{
    #[ORM\ManyToOne(inversedBy: 'controls')]
    protected ?Place $place;

    public function __construct()
    {
        $this->tags = new ArrayCollection();
    }

    public function getPlace(): ?Place
    {
        return $this->place;
    }

    public function setPlace(?Place $place): self
    {
        $this->place = $place;

        return $this;
    }
}
